Bug 121400 - gnome-panel no longer able to rest on the bottom of the bottom screen in a dual-monitor setup
gnome-panel no longer able to rest on the bottom of the bottom screen in a du...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 00:16 EDT by Darryl Dixon
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-21 15:52:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/XF86config (4.40 KB, text/plain)
2004-04-21 00:17 EDT, Darryl Dixon
no flags Details
/var/log/yum.log (3.29 KB, text/plain)
2004-04-21 00:18 EDT, Darryl Dixon
no flags Details

  None (edit)
Description Darryl Dixon 2004-04-21 00:16:59 EDT
Description of problem:


Hardware is an IBM R40 laptop with ATI Radeon Mobility M6 video card
(P4 2.2, 512MB RAM, 40GB HDD, Mobility M6).  Second monitor is a Sun
20" attached via standard external VGA connector.

With a stock fresh install of FC1 from CDs (and RH9, incidentally),
Xinerama can be configured with the external monitor at 1280x1024 and
'above' the builtin LCD panel at 1024x768.  When you log in to Gnome,
it allows you to place the gnome-panel at the bottom of the LCD screen.
Having just run `yum update` to update all software on this fresh
install (log from that below), when one logs in to Gnome now it will
not allow the gnome-panel to be placed at the bottom of the LCD panel,
instead electing to force it to the bottom of the external monitor
(which is 'above' the LCD panel).  In all other ways the behaviour is
identical to previously.

Version-Release number of selected component (if applicable):
gnome-panel-2.4.2-3

How reproducible:
Every time

Steps to Reproduce:
1.Install FC1 from CD
2.Configure Xinerama for dual-monitor with external monitor 'above'
builtin LCD
3.Put gnome-panel at bottom of LCD
4.Run update to get latest of all packages
5.At fresh login gnome-panel is forced to the bottom of the external
monitor
  
Actual results:
The gnome panel refuses to be placed at the bottom of the LCD screen.
 Incidentally if one attempts to put it there, it can be seen on the
*external* monitor flickering between the bottom of the monitor, and a
point somewhat above that and slightly shorter (ie as if it was
realigning it for 1024x768), but when you finally 'let go' of it, it
pops back to the bottom of the external monitor

Expected results:
It should go at the bottom of the LCD panel, not the middle of the
external monitor, as that is effectively right across the middle of
the 'virtual desktop'.  A picture is in order:
---------
|       |
|       |
|       |
|      --
|      |/
|      |/
--------
The virtual desktop is marked out above with the two different screen
resolutions clearly visible (smallest on the bottom).  The /// area is
'off limits' and the gnome-panel has never been able to be put against
the side of the screen neighbouring it, this is normal, but now
instead of resting at the bottom of the virtual desktop, gnome-panel
insists upon sitting right across the middle, where you can see the
split in the screen resolutions.

Additional info:
Comment 1 Darryl Dixon 2004-04-21 00:17:53 EDT
Created attachment 99584 [details]
/etc/X11/XF86config
Comment 2 Darryl Dixon 2004-04-21 00:18:45 EDT
Created attachment 99585 [details]
/var/log/yum.log

This shows the log of what was updated (changed) between the working fresh
install and the now broken updated install
Comment 3 Darryl Dixon 2004-04-21 00:22:03 EDT
Incidentally, the KDE install works correctly with the kicker residing
on the bottom of the virtual desktop.  Don't know if that will give
you any clues or not :-)

Also, I'm happy to perform any testing etc required to assist in
resolving this.

Cheers,
D
Comment 4 Darryl Dixon 2004-05-19 19:38:03 EDT
In FC2 the Gnome panel once again rests correctly at the bottom of the
screen (gnome-panel-2.6.0-9).
Comment 5 Mark McLoughlin 2004-07-21 15:52:28 EDT
Thanks Darryl

Note You need to log in before you can comment on or make changes to this bug.